#include <stdio.h>
#include <fract.h>
#include <fract2float_conv.h>
#include <fract_complex.h>
#include "debug.h"

void print_debug_equal(fract16* array, int size) {
    int i;
    fprintf(stderr, "====================\n");
    for(i = 0; i < size; i++) {
        fprintf(stderr,"%f ", fr16_to_float(array[i]));
        if(i % 20 == 0)
            fprintf(stderr, "\n");
    }
    fprintf(stderr,"\n====================\n");
}

void print_debug_complex(complex_fract16* array, int size) {
    int i;
    fprintf(stderr, "====================\n");
    for(i = 0; i < size; i++) {
        fprintf(stderr,"%i\t%f\n", i, fr16_to_float(cabs_fr16(array[i])));
    }
    fprintf(stderr,"\n====================\n");
}

void print_debug_minus(fract16* array, int size) {
    int i;
    fprintf(stderr, "-----------------\n");
    for(i = 0; i < size; i++)
        fprintf(stderr,"%x ", array[i]);
    fprintf(stderr,"\n-----------------\n");
}
