#ifndef _G2MPARAMETERS_H
#define _G2MPARAMETERS_H

// capture parameters
#define SAMPLE_RATE 16000
#define SAMPLE_SIZE 2
#define SAMPLE_SIZE_BITS (8 * SAMPLE_SIZE)
#define SILENCE_THRESHOLD 0x0400 // fract16 1/32 (2^-5)

// FFT parameters
#define SCALE_FACTOR 2
#define DISCARDED_FFTS 1 /**/
#define FFT_SIZE 1024

// fundamental detection parameters
#define FFT_PARTITION_SIZE 32 /**/
#define FFT_PARTITIONS (FFT_SIZE/FFT_PARTITION_SIZE)
#define RELEVANT_PEAKS 4

// musical parameters
#define MIDI_PIANO_OFFSET 20
#define NOTE_VELOCITY 81


#endif /* _G2MPARAMETERS_H */
